<?xml version='1.0' encoding='utf-8' standalone='yes'?>
<assembly
    xmlns="urn:schemas-microsoft-com:asm.v3"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    manifestVersion="1.0"
    >
  <assemblyIdentity
      language="neutral"
      name="Microsoft-Windows-IE-InternetExplorer"
      processorArchitecture="*"
      publicKeyToken=""
      version="0.0.0.0"
      versionScope="nonSxS"
      />
    <migration 
      scope="Upgrade,MigWiz,USMT"
      replacementSettingsVersionRange="0"
      replacementVersionRange="6.0-8.0.7100">
    <migXml
        xmlns=""
        xmlns:auto-ns2="urn:schemas-microsoft-com:asm.v3"
        >
      <!-- Gather and apply rules for current version -->
      <environment context="System">
        <variable name="InternetExplorer.BrandGUID">
          <script>MigXmlHelper.GetStringContent("Registry","HKLM\SOFTWARE\Microsoft\Internet Explorer [BrandGUID]")</script>
        </variable>
      </environment>
      <rules context="User">
        <include>
          <objectSet>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoComplete\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Favorites\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Webcheck\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Search Assistant\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Windows\History\* [*]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Windows\Cookies\* [*]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
          </objectSet>
        </include>
        <exclude>
          <objectSet>
            <!-- Extensibility points, handled by upgrade -->
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Default Behaviors\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Explorer Bars\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\EmbedExtnToClsidMappings\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Extensions\CmdMapping\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\MenuExt\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Media\\MimeTypes\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Plugins\Extension\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Plugins\MIME\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\URLSearchHooks\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Toolbar\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\Settings\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\Stats\* [*]</pattern>
            <!-- Extensibility points, handled by upgrade -->
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Security\AntiPhishing\* [*]</pattern>
            <!-- Exclude this Wininet settings, let their manifest migrate them. -->
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\5.0\* [*]</pattern>
            <!-- Handled by bulk upgrade -->
            <pattern type="File">%CSIDL_QUICKLAUNCH%\* [*]</pattern>
            <!-- SmartScreen should be disabled upon install/upgrade -->
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\PhishingFilter [EnabledV8]</pattern>
          </objectSet>
        </exclude>
        <merge script="MigXmlHelper.SourcePriority()">
          <objectSet>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoComplete\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Favorites\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Webcheck\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\* [*]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Search Assistant\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Windows\History\* [*]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Windows\Cookies\* [*]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
          </objectSet>
        </merge>
      </rules>
      <rules context="User">
        <!-- Exclude additional keys from migration on PC-2-PC migration. -->
        <detects>
          <detect>
            <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
          </detect>
        </detects>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Styles [Use My Stylesheet]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Styles [User Stylesheet]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Desktop\General [*]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Default HTML Editor\* [*]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Default MHTML Editor\* [*]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Main [Save Directory]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer [MSIMGSIZ.dat]</pattern>
          </objectSet>
        </exclude>
      </rules>
      <rules context="System">
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\&gt;{26923b43-4d38-484f-9b9e-de460746276c} [IsInstalled]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Clients\StartMenuInternet\IEXPLORE.EXE\InstallInfo [IconsVisible]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\SearchScopes\* [*]</pattern>
            <pattern type="File">%WINDIR%\System32 [rsaci.rat]</pattern>
          </objectSet>
        </include>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\AboutURLs\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\AdvancedOptions\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Unattend\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [Build]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [Version]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [W2kVersion]</pattern>
            <!-- Extensibility points, handled by upgrade -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\ActiveX Compatibility\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Default Behaviors\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Explorer Bars\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\EmbedExtnToClsidMappings\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Extensions\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Extensions\CmdMapping\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Extension Compatibility\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\International\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\MenuExt\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Media\\MimeTypes\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Plugins\Extension\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Plugins\MIME\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\URLSearchHooks\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Toolbar\* [*]</pattern>
            <!-- Extensibility points, handled by upgrade -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings [MinorVersion]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\SO\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\TemplatePolicies\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\* [*]</pattern>
            <!-- Exclude this Wininet settings, let their manifest migrate them. -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\5.0\* [*]</pattern>
            <!-- Gopher was removed after Beta2 in Vista. Make sure upgrades don't pickup this key. -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Capabilities\UrlAssociations [gopher]</pattern>
            <!-- Don't migrate version numbers - get the Vista ones instead -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Version Vector\* [*]</pattern>
            <!-- SmartScreen should be disabled upon install/upgrade -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\PhishingFilter [EnabledV8]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Low Rights\ElevationPolicy\{0002df01-0000-0000-c000-000000000046} [Policy]</pattern>
          </objectSet>
        </exclude>
        <merge script="MigXmlHelper.SourcePriority()">
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\&gt;{26923b43-4d38-484f-9b9e-de460746276c} [IsInstalled]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Clients\StartMenuInternet\IEXPLORE.EXE\InstallInfo [IconsVisible]</pattern>
            <pattern type="File">%WINDIR%\System32 [rsaci.rat]</pattern>
            <pattern type="File">%CSIDL_PROGRAM_FILES%\Internet Explorer\CUSTOM\* [*]</pattern>
            <pattern type="File">%CSIDL_PROGRAM_FILES%\Internet Explorer\SIGNUP\* [*]</pattern>
          </objectSet>
        </merge>
        <!-- Re-apply the SPAD state based on migrated values -->
        <externalProcess when="apply-success">
          <commandLine>%windir%\system32\ie4uinit.exe -apply</commandLine>
        </externalProcess>
      </rules>
      <rules context="System">
        <!-- Exclude additional keys from migration on PC-2-PC migration. -->
        <detects>
          <detect>
            <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
          </detect>
        </detects>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\View Source Editor [Editor Name]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [BrandGUID]</pattern>
          </objectSet>
        </exclude>
      </rules>
      <rules context="System">
        <!-- On upgrades include the branding active setup stub -->
        <detects>
          <detect>
            <condition>MigXmlHelper.IsUpgrade()</condition>
          </detect>
          <detect>
            <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SOFTWARE\Microsoft\Internet Explorer [BrandGUID]")</condition>
          </detect>
          <detect>
            <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\%InternetExplorer.BrandGUID%")</condition>
          </detect>
        </detects>
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [BrandGUID]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\%InternetExplorer.BrandGUID%\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
    <supportedComponents>
      <!-- Declare this component can consume all state collected by
           all versions of this Longhorn component -->
      <supportedComponent>
        <supportedComponentIdentity
            language="*"
            name="Microsoft-Windows-IE-InternetExplorer"
            processorArchitecture="*"
            settingsVersionRange="0"
            />
        <migXml xmlns="">
          <rules context="User">
            <exclude>
              <objectSet>
                <!-- Extensibility points, handled by upgrade - need these here because < Beta 2 manifests didnt have <exclude> apply-side rules -->
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Default Behaviors\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Explorer Bars\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\EmbedExtnToClsidMappings\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Extensions\CmdMapping\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\MenuExt\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Media\\MimeTypes\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Plugins\Extension\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Plugins\MIME\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\URLSearchHooks\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Toolbar\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\Settings\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\Stats\* [*]</pattern>
                <!-- Extensibility points, handled by upgrade -->
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Security\AntiPhishing\* [*]</pattern>
                <!-- Exclude this Wininet settings, let their manifest migrate them. -->
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\5.0\* [*]</pattern>
                <!-- Handled by bulk upgrade -->
                <pattern type="File">%CSIDL_QUICKLAUNCH%\* [*]</pattern>
                <!-- SmartScreen should be disabled upon install/upgrade -->
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\PhishingFilter [EnabledV8]</pattern>
              </objectSet>
            </exclude>
            <merge script="MigXmlHelper.SourcePriority()">
              <objectSet>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoComplete\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Favorites\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Webcheck\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Search Assistant\* [*]</pattern>
                <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
                <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Windows\History\* [*]</pattern>
                <pattern type="File">%CSIDL_APPDATA%\Microsoft\Windows\Cookies\* [*]</pattern>
                <pattern type="File">%CSIDL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
              </objectSet>
            </merge>
          </rules>
          <rules context="User">
            <!-- Exclude additional keys from migration on PC-2-PC migration. -->
            <detects>
              <detect>
                <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
              </detect>
            </detects>
            <exclude>
              <objectSet>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Styles [Use My Stylesheet]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Styles [User Stylesheet]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Desktop\General [*]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Default HTML Editor\* [*]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Default MHTML Editor\* [*]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Main [Save Directory]</pattern>
                <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer [MSIMGSIZ.dat]</pattern>
              </objectSet>
            </exclude>
          </rules>
          <rules context="System">
            <include>
              <objectSet>
                <pattern type="Registry">HKLM\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\SearchScopes\* [*]</pattern>
              </objectSet>
            </include>
            <exclude>
              <objectSet>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\AboutURLs\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\AdvancedOptions\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Unattend\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [Build]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [Version]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer [W2kVersion]</pattern>
                <!-- Extensibility points, handled by upgrade -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\ActiveX Compatibility\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Default Behaviors\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Explorer Bars\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\EmbedExtnToClsidMappings\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Extensions\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Extensions\CmdMapping\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Extension Compatibility\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\International\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\MenuExt\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Media\\MimeTypes\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Plugins\Extension\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Plugins\MIME\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\URLSearchHooks\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Toolbar\* [*]</pattern>
                <!-- Extensibility points, handled by upgrade -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings [MinorVersion]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\SO\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\* [*]</pattern>
                <!-- Exclude this Wininet settings, let their manifest migrate them. -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\5.0\* [*]</pattern>
                <!-- Gopher was removed after Beta2 in Vista. Make sure upgrades don't pickup this key. -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Capabilities\UrlAssociations [gopher]</pattern>
                <!-- Don't migrate version numbers - get the Vista ones instead -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Version Vector\* [*]</pattern>
                <!-- SmartScreen should be disabled upon install/upgrade -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\PhishingFilter [EnabledV8]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Low Rights\ElevationPolicy\{0002df01-0000-0000-c000-000000000046} [Policy]</pattern>
              </objectSet>
            </exclude>
            <merge script="MigXmlHelper.SourcePriority()">
              <objectSet>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\&gt;{26923b43-4d38-484f-9b9e-de460746276c} [IsInstalled]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Clients\StartMenuInternet\IEXPLORE.EXE\InstallInfo [IconsVisible]</pattern>
                <pattern type="File">%WINDIR%\System32 [rsaci.rat]</pattern>
                <pattern type="File">%CSIDL_PROGRAM_FILES%\Internet Explorer\CUSTOM\* [*]</pattern>
                <pattern type="File">%CSIDL_PROGRAM_FILES%\Internet Explorer\SIGNUP\* [*]</pattern>
              </objectSet>
            </merge>
            <exclude>
              <objectSet>
                <!-- Gopher was removed after Beta2 in Vista. Make sure upgrades don't pickup this key. -->
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\Capabilities\UrlAssociations [gopher]</pattern>
              </objectSet>
            </exclude>
            <!-- Re-apply the SPAD state based on migrated values -->
            <externalProcess when="apply-success">
              <commandLine>%windir%\system32\ie4uinit.exe -apply</commandLine>
            </externalProcess>
          </rules>
          <rules context="System">
            <!-- Exclude additional keys from migration on PC-2-PC migration. -->
            <detects>
              <detect>
                <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
              </detect>
            </detects>
            <exclude>
              <objectSet>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\View Source Editor [Editor Name]</pattern>
              </objectSet>
            </exclude>
          </rules>
        </migXml>
      </supportedComponent>
      <supportedComponent>
        <!-- Apply rules for the download level settings -->
        <supportedComponentIdentity
            language="*"
            name="Microsoft-Windows-IE-InternetExplorer-DL"
            processorArchitecture="*"
            settingsVersionRange="0"
            />
        <migXml xmlns="">
          <rules context="User">
            <exclude>
              <!-- Extensibility points, handled by upgrade - need these here because < Beta 2 manifests didnt have <exclude> apply-side rules -->
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Default Behaviors\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Explorer Bars\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\EmbedExtnToClsidMappings\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Extensions\CmdMapping\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\MenuExt\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Media\\MimeTypes\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Plugins\Extension\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Plugins\MIME\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\URLSearchHooks\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Toolbar\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\Settings\* [*]</pattern>
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\Stats\* [*]</pattern>
              <!-- Extensibility points, handled by upgrade -->
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\Security\AntiPhishing\* [*]</pattern>
              <!-- Exclude this Wininet settings, let their manifest migrate them. -->
              <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\5.0\* [*]</pattern>
              <!-- Handled by bulk upgrade -->
              <pattern type="File">%CSIDL_QUICKLAUNCH%\* [*]</pattern>
            </exclude>
            <merge script="MigXmlHelper.SourcePriority()">
              <objectSet>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoComplete\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Favorites\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Webcheck\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Ext\* [*]</pattern>
                <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Search Assistant\* [*]</pattern>
                <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
                <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Windows\History\* [*]</pattern>
                <pattern type="File">%CSIDL_APPDATA%\Microsoft\Windows\Cookies\* [*]</pattern>
                <pattern type="File">%CSIDL_APPDATA%\Microsoft\Internet Explorer\* [*]</pattern>
              </objectSet>
            </merge>
          </rules>
          <rules context="User">
            <!-- Exclude additional keys from migration on PC-2-PC migration. -->
            <detects>
              <detect>
                <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
              </detect>
            </detects>
            <exclude>
              <objectSet>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Styles [Use My Stylesheet]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Styles [User Stylesheet]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Desktop\General [*]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Default HTML Editor\* [*]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Default MHTML Editor\* [*]</pattern>
                <pattern type="Registry">HKCU\Software\Microsoft\Internet Explorer\Main [Save Directory]</pattern>
                <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Internet Explorer [MSIMGSIZ.dat]</pattern>
              </objectSet>
            </exclude>
          </rules>
          <rules context="System">
            <merge script="MigXmlHelper.SourcePriority()">
              <objectSet>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\* [*]</pattern>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\&gt;{26923b43-4d38-484f-9b9e-de460746276c} [IsInstalled]</pattern>
                <pattern type="File">%WINDIR%\System32 [rsaci.rat]</pattern>
                <pattern type="File">%CSIDL_PROGRAM_FILES%\Internet Explorer\CUSTOM\* [*]</pattern>
                <pattern type="File">%CSIDL_PROGRAM_FILES%\Internet Explorer\SIGNUP\* [*]</pattern>
              </objectSet>
            </merge>
            <!-- Re-apply the SPAD state based on migrated values -->
            <externalProcess when="apply-success">
              <commandLine>%windir%\system32\ie4uinit.exe -apply</commandLine>
            </externalProcess>
          </rules>
          <rules context="System">
            <!-- Exclude additional keys from migration on PC-2-PC migration. -->
            <detects>
              <detect>
                <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
              </detect>
            </detects>
            <exclude>
              <objectSet>
                <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Internet Explorer\View Source Editor [Editor Name]</pattern>
              </objectSet>
            </exclude>
          </rules>
        </migXml>
      </supportedComponent>
    </supportedComponents>
    <migrationDisplayID>Network_and_Internet\Internet_Options</migrationDisplayID>
  </migration>
</assembly>
